Subject: Re: bug#26914: gnu: xmonad: Update to 0.13.

From: Mekeor Melire <[email-masked]>
Date: Wed, 21 Jun 2017 01:46:36 +0200

Ricardo Wurmus <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> writes:
>>>> From e262ad6e9f706c6d688ad313ae6c9045af42ecb1 Mon Sep 17 00:00:00 2001
>>>> From: Mekeor Melire <[email-masked]>
>>>> Date: Sat, 13 May 2017 23:36:36 +0200
>>>> Subject: [PATCH] gnu: xmonad: Update to 0.13.
>>>>
>>>> * gnu/packages/wm.scm (xmonad): Update to 0.13.
>>>> [inputs]: Add ghc-directory.
>>>> (ghc-xmonad-contrib): Update to 0.13.
>>>
>>> This fails to build like this:
> […]
>>> Setup.lhs: At least the following dependencies are missing:
>>> directory >=1.2.3
>>> phase `configure' succeeded after 0.6 seconds
>>> starting phase `patch-generated-file-shebangs'
>>> phase `patch-generated-file-shebangs' succeeded after 0.0 seconds
>>> starting phase `build'
>>> running "runhaskell Setup.hs" with command "build" and parameters ()
>>> Setup.lhs: Run the 'configure' command first.

I can't reproduce this failure and also the error message doesn't make
sense to me because I added ghc-directory as dependecy to the package.

> It now also fails with this:
>
> --8<---------------cut here---------------start------------->8---
[…]
> Setup.lhs: At least the following dependencies are missing:
> X11 ==1.8.*
[…]
> --8<---------------cut here---------------end--------------->8---
>
[…]
> I believe this requires an upgrade to many of our Haskell packages.
> We should try to catch up with the latest Haskell platform.

This error was appearing because Ludo didn't actually apply the patch
for ghc-x11.

I tested both patches again now: they work. I tested them using both

  $ ./pre-inst-env guix build      xmonad ghc-xmonad-contrib # and
  $ ./pre-inst-env guix package -i xmonad ghc-xmonad-contrib

and both worked.

Before building the package, I applied the patch for ghc-x11, then I
applied the patch for xmonad and ghc-xmonad-contrib.